
package com.openexchange.wsdl.context.soap;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import com.openexchange.wsdl.context.rmi.dataobjects.Credentials;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="checkDatabaseCounts" type="{http://www.w3.org/2001/XMLSchema}boolean"/&gt;
 *         &lt;element name="checkFilestoreCounts" type="{http://www.w3.org/2001/XMLSchema}boolean"/&gt;
 *         &lt;element name="auth" type="{http://dataobjects.rmi.admin.openexchange.com/xsd}Credentials" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "checkDatabaseCounts",
    "checkFilestoreCounts",
    "auth"
})
@XmlRootElement(name = "checkCountsConsistency")
public class CheckCountsConsistency {

    @XmlElement(required = true, type = Boolean.class, nillable = true)
    protected Boolean checkDatabaseCounts;
    @XmlElement(required = true, type = Boolean.class, nillable = true)
    protected Boolean checkFilestoreCounts;
    @XmlElement(nillable = true)
    protected Credentials auth;

    /**
     * Gets the value of the checkDatabaseCounts property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCheckDatabaseCounts() {
        return checkDatabaseCounts;
    }

    /**
     * Sets the value of the checkDatabaseCounts property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCheckDatabaseCounts(Boolean value) {
        this.checkDatabaseCounts = value;
    }

    /**
     * Gets the value of the checkFilestoreCounts property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCheckFilestoreCounts() {
        return checkFilestoreCounts;
    }

    /**
     * Sets the value of the checkFilestoreCounts property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCheckFilestoreCounts(Boolean value) {
        this.checkFilestoreCounts = value;
    }

    /**
     * Gets the value of the auth property.
     * 
     * @return
     *     possible object is
     *     {@link Credentials }
     *     
     */
    public Credentials getAuth() {
        return auth;
    }

    /**
     * Sets the value of the auth property.
     * 
     * @param value
     *     allowed object is
     *     {@link Credentials }
     *     
     */
    public void setAuth(Credentials value) {
        this.auth = value;
    }

}
