
package com.openexchange.wsdl.group.soap.dataobjects;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for User complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="User"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="aliases" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element name="anniversary" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="assistant_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="birthday" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="branches" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="business_category" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="categories" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="cellular_telephone1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="cellular_telephone2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="city_business" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="city_home" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="city_other" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="commercial_register" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="company" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="contextadmin" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="country_business" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="country_home" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="country_other" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="defaultSenderAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="default_group" type="{http://dataobjects.soap.admin.openexchange.com/xsd}Group" minOccurs="0"/&gt;
 *         &lt;element name="department" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="display_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="email1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="email2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="email3" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="employeeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="fax_business" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="fax_home" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="fax_other" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="folderTree" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="given_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="guiPreferencesForSoap" type="{http://dataobjects.soap.admin.openexchange.com/xsd}SOAPStringMap" minOccurs="0"/&gt;
 *         &lt;element name="gui_spam_filter_enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="imapLogin" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="imapPort" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="imapSchema" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="imapServer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="imapServerString" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="info" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="instant_messenger1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="instant_messenger2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="language" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mail_folder_confirmed_ham_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mail_folder_confirmed_spam_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mail_folder_drafts_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mail_folder_sent_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mail_folder_spam_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mail_folder_trash_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mail_folder_archive_full_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mailenabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="manager_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="marital_status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="middle_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="nickname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="note" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="number_of_children" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="number_of_employee" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="password" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="passwordMech" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="password_expired" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="position" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="postal_code_business" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="postal_code_home" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="postal_code_other" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="primaryEmail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="profession" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="room_number" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="sales_volume" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="smtpPort" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="smtpSchema" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="smtpServer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="smtpServerString" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="spouse_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="state_business" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="state_home" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="state_other" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="street_business" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="street_home" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="street_other" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="suffix" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="sur_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="tax_id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_assistant" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_business1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_business2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_callback" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_car" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_company" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_home1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_home2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_ip" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_isdn" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_other" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_pager" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_primary" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_radio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_telex" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="telephone_ttytdd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="timezone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="title" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="uploadFileSizeLimit" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="uploadFileSizeLimitPerFile" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userAttributes" type="{http://dataobjects.soap.admin.openexchange.com/xsd}SOAPStringMapMap" minOccurs="0"/&gt;
 *         &lt;element name="userfield01" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield02" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield03" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield04" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield05" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield06" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield07" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield08" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield09" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield10" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield11" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield12" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield13" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield14" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield15" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield16" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield17" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield18" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield19" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="userfield20" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "User", propOrder = {
    "aliases",
    "anniversary",
    "assistantName",
    "birthday",
    "branches",
    "businessCategory",
    "categories",
    "cellularTelephone1",
    "cellularTelephone2",
    "cityBusiness",
    "cityHome",
    "cityOther",
    "commercialRegister",
    "company",
    "contextadmin",
    "countryBusiness",
    "countryHome",
    "countryOther",
    "defaultSenderAddress",
    "defaultGroup",
    "department",
    "displayName",
    "email1",
    "email2",
    "email3",
    "employeeType",
    "faxBusiness",
    "faxHome",
    "faxOther",
    "folderTree",
    "givenName",
    "guiPreferencesForSoap",
    "guiSpamFilterEnabled",
    "id",
    "imapLogin",
    "imapPort",
    "imapSchema",
    "imapServer",
    "imapServerString",
    "info",
    "instantMessenger1",
    "instantMessenger2",
    "language",
    "mailFolderConfirmedHamName",
    "mailFolderConfirmedSpamName",
    "mailFolderDraftsName",
    "mailFolderSentName",
    "mailFolderSpamName",
    "mailFolderTrashName",
    "mailFolderArchiveFullName",
    "mailenabled",
    "managerName",
    "maritalStatus",
    "middleName",
    "name",
    "nickname",
    "note",
    "numberOfChildren",
    "numberOfEmployee",
    "password",
    "passwordMech",
    "passwordExpired",
    "position",
    "postalCodeBusiness",
    "postalCodeHome",
    "postalCodeOther",
    "primaryEmail",
    "profession",
    "roomNumber",
    "salesVolume",
    "smtpPort",
    "smtpSchema",
    "smtpServer",
    "smtpServerString",
    "spouseName",
    "stateBusiness",
    "stateHome",
    "stateOther",
    "streetBusiness",
    "streetHome",
    "streetOther",
    "suffix",
    "surName",
    "taxId",
    "telephoneAssistant",
    "telephoneBusiness1",
    "telephoneBusiness2",
    "telephoneCallback",
    "telephoneCar",
    "telephoneCompany",
    "telephoneHome1",
    "telephoneHome2",
    "telephoneIp",
    "telephoneIsdn",
    "telephoneOther",
    "telephonePager",
    "telephonePrimary",
    "telephoneRadio",
    "telephoneTelex",
    "telephoneTtytdd",
    "timezone",
    "title",
    "uploadFileSizeLimit",
    "uploadFileSizeLimitPerFile",
    "url",
    "userAttributes",
    "userfield01",
    "userfield02",
    "userfield03",
    "userfield04",
    "userfield05",
    "userfield06",
    "userfield07",
    "userfield08",
    "userfield09",
    "userfield10",
    "userfield11",
    "userfield12",
    "userfield13",
    "userfield14",
    "userfield15",
    "userfield16",
    "userfield17",
    "userfield18",
    "userfield19",
    "userfield20"
})
public class User {

    @XmlElement(nillable = true)
    protected List<String> aliases;
    @XmlElement(nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar anniversary;
    @XmlElement(name = "assistant_name", nillable = true)
    protected String assistantName;
    @XmlElement(nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar birthday;
    @XmlElement(nillable = true)
    protected String branches;
    @XmlElement(name = "business_category", nillable = true)
    protected String businessCategory;
    @XmlElement(nillable = true)
    protected String categories;
    @XmlElement(name = "cellular_telephone1", nillable = true)
    protected String cellularTelephone1;
    @XmlElement(name = "cellular_telephone2", nillable = true)
    protected String cellularTelephone2;
    @XmlElement(name = "city_business", nillable = true)
    protected String cityBusiness;
    @XmlElement(name = "city_home", nillable = true)
    protected String cityHome;
    @XmlElement(name = "city_other", nillable = true)
    protected String cityOther;
    @XmlElement(name = "commercial_register", nillable = true)
    protected String commercialRegister;
    @XmlElement(nillable = true)
    protected String company;
    protected Boolean contextadmin;
    @XmlElement(name = "country_business", nillable = true)
    protected String countryBusiness;
    @XmlElement(name = "country_home", nillable = true)
    protected String countryHome;
    @XmlElement(name = "country_other", nillable = true)
    protected String countryOther;
    @XmlElement(nillable = true)
    protected String defaultSenderAddress;
    @XmlElement(name = "default_group", nillable = true)
    protected Group defaultGroup;
    @XmlElement(nillable = true)
    protected String department;
    @XmlElement(name = "display_name", nillable = true)
    protected String displayName;
    @XmlElement(nillable = true)
    protected String email1;
    @XmlElement(nillable = true)
    protected String email2;
    @XmlElement(nillable = true)
    protected String email3;
    @XmlElement(nillable = true)
    protected String employeeType;
    @XmlElement(name = "fax_business", nillable = true)
    protected String faxBusiness;
    @XmlElement(name = "fax_home", nillable = true)
    protected String faxHome;
    @XmlElement(name = "fax_other", nillable = true)
    protected String faxOther;
    @XmlElement(nillable = true)
    protected Integer folderTree;
    @XmlElement(name = "given_name", nillable = true)
    protected String givenName;
    @XmlElement(nillable = true)
    protected SOAPStringMap guiPreferencesForSoap;
    @XmlElement(name = "gui_spam_filter_enabled", nillable = true)
    protected Boolean guiSpamFilterEnabled;
    @XmlElement(nillable = true)
    protected Integer id;
    @XmlElement(nillable = true)
    protected String imapLogin;
    protected Integer imapPort;
    @XmlElement(nillable = true)
    protected String imapSchema;
    @XmlElement(nillable = true)
    protected String imapServer;
    @XmlElement(nillable = true)
    protected String imapServerString;
    @XmlElement(nillable = true)
    protected String info;
    @XmlElement(name = "instant_messenger1", nillable = true)
    protected String instantMessenger1;
    @XmlElement(name = "instant_messenger2", nillable = true)
    protected String instantMessenger2;
    @XmlElement(nillable = true)
    protected String language;
    @XmlElement(name = "mail_folder_confirmed_ham_name", nillable = true)
    protected String mailFolderConfirmedHamName;
    @XmlElement(name = "mail_folder_confirmed_spam_name", nillable = true)
    protected String mailFolderConfirmedSpamName;
    @XmlElement(name = "mail_folder_drafts_name", nillable = true)
    protected String mailFolderDraftsName;
    @XmlElement(name = "mail_folder_sent_name", nillable = true)
    protected String mailFolderSentName;
    @XmlElement(name = "mail_folder_spam_name", nillable = true)
    protected String mailFolderSpamName;
    @XmlElement(name = "mail_folder_trash_name", nillable = true)
    protected String mailFolderTrashName;
    @XmlElement(name = "mail_folder_archive_full_name", nillable = true)
    protected String mailFolderArchiveFullName;
    @XmlElement(nillable = true)
    protected Boolean mailenabled;
    @XmlElement(name = "manager_name", nillable = true)
    protected String managerName;
    @XmlElement(name = "marital_status", nillable = true)
    protected String maritalStatus;
    @XmlElement(name = "middle_name", nillable = true)
    protected String middleName;
    @XmlElement(nillable = true)
    protected String name;
    @XmlElement(nillable = true)
    protected String nickname;
    @XmlElement(nillable = true)
    protected String note;
    @XmlElement(name = "number_of_children", nillable = true)
    protected String numberOfChildren;
    @XmlElement(name = "number_of_employee", nillable = true)
    protected String numberOfEmployee;
    @XmlElement(nillable = true)
    protected String password;
    @XmlElement(nillable = true)
    protected String passwordMech;
    @XmlElement(name = "password_expired", nillable = true)
    protected Boolean passwordExpired;
    @XmlElement(nillable = true)
    protected String position;
    @XmlElement(name = "postal_code_business", nillable = true)
    protected String postalCodeBusiness;
    @XmlElement(name = "postal_code_home", nillable = true)
    protected String postalCodeHome;
    @XmlElement(name = "postal_code_other", nillable = true)
    protected String postalCodeOther;
    @XmlElement(nillable = true)
    protected String primaryEmail;
    @XmlElement(nillable = true)
    protected String profession;
    @XmlElement(name = "room_number", nillable = true)
    protected String roomNumber;
    @XmlElement(name = "sales_volume", nillable = true)
    protected String salesVolume;
    protected Integer smtpPort;
    @XmlElement(nillable = true)
    protected String smtpSchema;
    @XmlElement(nillable = true)
    protected String smtpServer;
    @XmlElement(nillable = true)
    protected String smtpServerString;
    @XmlElement(name = "spouse_name", nillable = true)
    protected String spouseName;
    @XmlElement(name = "state_business", nillable = true)
    protected String stateBusiness;
    @XmlElement(name = "state_home", nillable = true)
    protected String stateHome;
    @XmlElement(name = "state_other", nillable = true)
    protected String stateOther;
    @XmlElement(name = "street_business", nillable = true)
    protected String streetBusiness;
    @XmlElement(name = "street_home", nillable = true)
    protected String streetHome;
    @XmlElement(name = "street_other", nillable = true)
    protected String streetOther;
    @XmlElement(nillable = true)
    protected String suffix;
    @XmlElement(name = "sur_name", nillable = true)
    protected String surName;
    @XmlElement(name = "tax_id", nillable = true)
    protected String taxId;
    @XmlElement(name = "telephone_assistant", nillable = true)
    protected String telephoneAssistant;
    @XmlElement(name = "telephone_business1", nillable = true)
    protected String telephoneBusiness1;
    @XmlElement(name = "telephone_business2", nillable = true)
    protected String telephoneBusiness2;
    @XmlElement(name = "telephone_callback", nillable = true)
    protected String telephoneCallback;
    @XmlElement(name = "telephone_car", nillable = true)
    protected String telephoneCar;
    @XmlElement(name = "telephone_company", nillable = true)
    protected String telephoneCompany;
    @XmlElement(name = "telephone_home1", nillable = true)
    protected String telephoneHome1;
    @XmlElement(name = "telephone_home2", nillable = true)
    protected String telephoneHome2;
    @XmlElement(name = "telephone_ip", nillable = true)
    protected String telephoneIp;
    @XmlElement(name = "telephone_isdn", nillable = true)
    protected String telephoneIsdn;
    @XmlElement(name = "telephone_other", nillable = true)
    protected String telephoneOther;
    @XmlElement(name = "telephone_pager", nillable = true)
    protected String telephonePager;
    @XmlElement(name = "telephone_primary", nillable = true)
    protected String telephonePrimary;
    @XmlElement(name = "telephone_radio", nillable = true)
    protected String telephoneRadio;
    @XmlElement(name = "telephone_telex", nillable = true)
    protected String telephoneTelex;
    @XmlElement(name = "telephone_ttytdd", nillable = true)
    protected String telephoneTtytdd;
    @XmlElement(nillable = true)
    protected String timezone;
    @XmlElement(nillable = true)
    protected String title;
    @XmlElement(nillable = true)
    protected Integer uploadFileSizeLimit;
    @XmlElement(nillable = true)
    protected Integer uploadFileSizeLimitPerFile;
    @XmlElement(nillable = true)
    protected String url;
    @XmlElement(nillable = true)
    protected SOAPStringMapMap userAttributes;
    @XmlElement(nillable = true)
    protected String userfield01;
    @XmlElement(nillable = true)
    protected String userfield02;
    @XmlElement(nillable = true)
    protected String userfield03;
    @XmlElement(nillable = true)
    protected String userfield04;
    @XmlElement(nillable = true)
    protected String userfield05;
    @XmlElement(nillable = true)
    protected String userfield06;
    @XmlElement(nillable = true)
    protected String userfield07;
    @XmlElement(nillable = true)
    protected String userfield08;
    @XmlElement(nillable = true)
    protected String userfield09;
    @XmlElement(nillable = true)
    protected String userfield10;
    @XmlElement(nillable = true)
    protected String userfield11;
    @XmlElement(nillable = true)
    protected String userfield12;
    @XmlElement(nillable = true)
    protected String userfield13;
    @XmlElement(nillable = true)
    protected String userfield14;
    @XmlElement(nillable = true)
    protected String userfield15;
    @XmlElement(nillable = true)
    protected String userfield16;
    @XmlElement(nillable = true)
    protected String userfield17;
    @XmlElement(nillable = true)
    protected String userfield18;
    @XmlElement(nillable = true)
    protected String userfield19;
    @XmlElement(nillable = true)
    protected String userfield20;

    /**
     * Gets the value of the aliases property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the aliases property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAliases().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getAliases() {
        if (aliases == null) {
            aliases = new ArrayList<String>();
        }
        return this.aliases;
    }

    /**
     * Gets the value of the anniversary property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getAnniversary() {
        return anniversary;
    }

    /**
     * Sets the value of the anniversary property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setAnniversary(XMLGregorianCalendar value) {
        this.anniversary = value;
    }

    /**
     * Gets the value of the assistantName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAssistantName() {
        return assistantName;
    }

    /**
     * Sets the value of the assistantName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAssistantName(String value) {
        this.assistantName = value;
    }

    /**
     * Gets the value of the birthday property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBirthday() {
        return birthday;
    }

    /**
     * Sets the value of the birthday property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBirthday(XMLGregorianCalendar value) {
        this.birthday = value;
    }

    /**
     * Gets the value of the branches property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBranches() {
        return branches;
    }

    /**
     * Sets the value of the branches property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBranches(String value) {
        this.branches = value;
    }

    /**
     * Gets the value of the businessCategory property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBusinessCategory() {
        return businessCategory;
    }

    /**
     * Sets the value of the businessCategory property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBusinessCategory(String value) {
        this.businessCategory = value;
    }

    /**
     * Gets the value of the categories property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCategories() {
        return categories;
    }

    /**
     * Sets the value of the categories property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCategories(String value) {
        this.categories = value;
    }

    /**
     * Gets the value of the cellularTelephone1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCellularTelephone1() {
        return cellularTelephone1;
    }

    /**
     * Sets the value of the cellularTelephone1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCellularTelephone1(String value) {
        this.cellularTelephone1 = value;
    }

    /**
     * Gets the value of the cellularTelephone2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCellularTelephone2() {
        return cellularTelephone2;
    }

    /**
     * Sets the value of the cellularTelephone2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCellularTelephone2(String value) {
        this.cellularTelephone2 = value;
    }

    /**
     * Gets the value of the cityBusiness property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCityBusiness() {
        return cityBusiness;
    }

    /**
     * Sets the value of the cityBusiness property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCityBusiness(String value) {
        this.cityBusiness = value;
    }

    /**
     * Gets the value of the cityHome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCityHome() {
        return cityHome;
    }

    /**
     * Sets the value of the cityHome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCityHome(String value) {
        this.cityHome = value;
    }

    /**
     * Gets the value of the cityOther property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCityOther() {
        return cityOther;
    }

    /**
     * Sets the value of the cityOther property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCityOther(String value) {
        this.cityOther = value;
    }

    /**
     * Gets the value of the commercialRegister property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCommercialRegister() {
        return commercialRegister;
    }

    /**
     * Sets the value of the commercialRegister property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCommercialRegister(String value) {
        this.commercialRegister = value;
    }

    /**
     * Gets the value of the company property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompany() {
        return company;
    }

    /**
     * Sets the value of the company property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompany(String value) {
        this.company = value;
    }

    /**
     * Gets the value of the contextadmin property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isContextadmin() {
        return contextadmin;
    }

    /**
     * Sets the value of the contextadmin property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setContextadmin(Boolean value) {
        this.contextadmin = value;
    }

    /**
     * Gets the value of the countryBusiness property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCountryBusiness() {
        return countryBusiness;
    }

    /**
     * Sets the value of the countryBusiness property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCountryBusiness(String value) {
        this.countryBusiness = value;
    }

    /**
     * Gets the value of the countryHome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCountryHome() {
        return countryHome;
    }

    /**
     * Sets the value of the countryHome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCountryHome(String value) {
        this.countryHome = value;
    }

    /**
     * Gets the value of the countryOther property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCountryOther() {
        return countryOther;
    }

    /**
     * Sets the value of the countryOther property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCountryOther(String value) {
        this.countryOther = value;
    }

    /**
     * Gets the value of the defaultSenderAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDefaultSenderAddress() {
        return defaultSenderAddress;
    }

    /**
     * Sets the value of the defaultSenderAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDefaultSenderAddress(String value) {
        this.defaultSenderAddress = value;
    }

    /**
     * Gets the value of the defaultGroup property.
     * 
     * @return
     *     possible object is
     *     {@link Group }
     *     
     */
    public Group getDefaultGroup() {
        return defaultGroup;
    }

    /**
     * Sets the value of the defaultGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link Group }
     *     
     */
    public void setDefaultGroup(Group value) {
        this.defaultGroup = value;
    }

    /**
     * Gets the value of the department property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDepartment() {
        return department;
    }

    /**
     * Sets the value of the department property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDepartment(String value) {
        this.department = value;
    }

    /**
     * Gets the value of the displayName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDisplayName() {
        return displayName;
    }

    /**
     * Sets the value of the displayName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDisplayName(String value) {
        this.displayName = value;
    }

    /**
     * Gets the value of the email1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmail1() {
        return email1;
    }

    /**
     * Sets the value of the email1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmail1(String value) {
        this.email1 = value;
    }

    /**
     * Gets the value of the email2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmail2() {
        return email2;
    }

    /**
     * Sets the value of the email2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmail2(String value) {
        this.email2 = value;
    }

    /**
     * Gets the value of the email3 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmail3() {
        return email3;
    }

    /**
     * Sets the value of the email3 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmail3(String value) {
        this.email3 = value;
    }

    /**
     * Gets the value of the employeeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmployeeType() {
        return employeeType;
    }

    /**
     * Sets the value of the employeeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmployeeType(String value) {
        this.employeeType = value;
    }

    /**
     * Gets the value of the faxBusiness property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaxBusiness() {
        return faxBusiness;
    }

    /**
     * Sets the value of the faxBusiness property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaxBusiness(String value) {
        this.faxBusiness = value;
    }

    /**
     * Gets the value of the faxHome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaxHome() {
        return faxHome;
    }

    /**
     * Sets the value of the faxHome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaxHome(String value) {
        this.faxHome = value;
    }

    /**
     * Gets the value of the faxOther property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaxOther() {
        return faxOther;
    }

    /**
     * Sets the value of the faxOther property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaxOther(String value) {
        this.faxOther = value;
    }

    /**
     * Gets the value of the folderTree property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFolderTree() {
        return folderTree;
    }

    /**
     * Sets the value of the folderTree property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFolderTree(Integer value) {
        this.folderTree = value;
    }

    /**
     * Gets the value of the givenName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGivenName() {
        return givenName;
    }

    /**
     * Sets the value of the givenName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGivenName(String value) {
        this.givenName = value;
    }

    /**
     * Gets the value of the guiPreferencesForSoap property.
     * 
     * @return
     *     possible object is
     *     {@link SOAPStringMap }
     *     
     */
    public SOAPStringMap getGuiPreferencesForSoap() {
        return guiPreferencesForSoap;
    }

    /**
     * Sets the value of the guiPreferencesForSoap property.
     * 
     * @param value
     *     allowed object is
     *     {@link SOAPStringMap }
     *     
     */
    public void setGuiPreferencesForSoap(SOAPStringMap value) {
        this.guiPreferencesForSoap = value;
    }

    /**
     * Gets the value of the guiSpamFilterEnabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isGuiSpamFilterEnabled() {
        return guiSpamFilterEnabled;
    }

    /**
     * Sets the value of the guiSpamFilterEnabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setGuiSpamFilterEnabled(Boolean value) {
        this.guiSpamFilterEnabled = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setId(Integer value) {
        this.id = value;
    }

    /**
     * Gets the value of the imapLogin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getImapLogin() {
        return imapLogin;
    }

    /**
     * Sets the value of the imapLogin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setImapLogin(String value) {
        this.imapLogin = value;
    }

    /**
     * Gets the value of the imapPort property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getImapPort() {
        return imapPort;
    }

    /**
     * Sets the value of the imapPort property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setImapPort(Integer value) {
        this.imapPort = value;
    }

    /**
     * Gets the value of the imapSchema property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getImapSchema() {
        return imapSchema;
    }

    /**
     * Sets the value of the imapSchema property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setImapSchema(String value) {
        this.imapSchema = value;
    }

    /**
     * Gets the value of the imapServer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getImapServer() {
        return imapServer;
    }

    /**
     * Sets the value of the imapServer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setImapServer(String value) {
        this.imapServer = value;
    }

    /**
     * Gets the value of the imapServerString property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getImapServerString() {
        return imapServerString;
    }

    /**
     * Sets the value of the imapServerString property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setImapServerString(String value) {
        this.imapServerString = value;
    }

    /**
     * Gets the value of the info property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInfo() {
        return info;
    }

    /**
     * Sets the value of the info property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInfo(String value) {
        this.info = value;
    }

    /**
     * Gets the value of the instantMessenger1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstantMessenger1() {
        return instantMessenger1;
    }

    /**
     * Sets the value of the instantMessenger1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstantMessenger1(String value) {
        this.instantMessenger1 = value;
    }

    /**
     * Gets the value of the instantMessenger2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstantMessenger2() {
        return instantMessenger2;
    }

    /**
     * Sets the value of the instantMessenger2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstantMessenger2(String value) {
        this.instantMessenger2 = value;
    }

    /**
     * Gets the value of the language property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLanguage() {
        return language;
    }

    /**
     * Sets the value of the language property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLanguage(String value) {
        this.language = value;
    }

    /**
     * Gets the value of the mailFolderConfirmedHamName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailFolderConfirmedHamName() {
        return mailFolderConfirmedHamName;
    }

    /**
     * Sets the value of the mailFolderConfirmedHamName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailFolderConfirmedHamName(String value) {
        this.mailFolderConfirmedHamName = value;
    }

    /**
     * Gets the value of the mailFolderConfirmedSpamName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailFolderConfirmedSpamName() {
        return mailFolderConfirmedSpamName;
    }

    /**
     * Sets the value of the mailFolderConfirmedSpamName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailFolderConfirmedSpamName(String value) {
        this.mailFolderConfirmedSpamName = value;
    }

    /**
     * Gets the value of the mailFolderDraftsName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailFolderDraftsName() {
        return mailFolderDraftsName;
    }

    /**
     * Sets the value of the mailFolderDraftsName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailFolderDraftsName(String value) {
        this.mailFolderDraftsName = value;
    }

    /**
     * Gets the value of the mailFolderSentName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailFolderSentName() {
        return mailFolderSentName;
    }

    /**
     * Sets the value of the mailFolderSentName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailFolderSentName(String value) {
        this.mailFolderSentName = value;
    }

    /**
     * Gets the value of the mailFolderSpamName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailFolderSpamName() {
        return mailFolderSpamName;
    }

    /**
     * Sets the value of the mailFolderSpamName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailFolderSpamName(String value) {
        this.mailFolderSpamName = value;
    }

    /**
     * Gets the value of the mailFolderTrashName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailFolderTrashName() {
        return mailFolderTrashName;
    }

    /**
     * Sets the value of the mailFolderTrashName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailFolderTrashName(String value) {
        this.mailFolderTrashName = value;
    }

    /**
     * Gets the value of the mailFolderArchiveFullName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailFolderArchiveFullName() {
        return mailFolderArchiveFullName;
    }

    /**
     * Sets the value of the mailFolderArchiveFullName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailFolderArchiveFullName(String value) {
        this.mailFolderArchiveFullName = value;
    }

    /**
     * Gets the value of the mailenabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isMailenabled() {
        return mailenabled;
    }

    /**
     * Sets the value of the mailenabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMailenabled(Boolean value) {
        this.mailenabled = value;
    }

    /**
     * Gets the value of the managerName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getManagerName() {
        return managerName;
    }

    /**
     * Sets the value of the managerName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setManagerName(String value) {
        this.managerName = value;
    }

    /**
     * Gets the value of the maritalStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaritalStatus() {
        return maritalStatus;
    }

    /**
     * Sets the value of the maritalStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaritalStatus(String value) {
        this.maritalStatus = value;
    }

    /**
     * Gets the value of the middleName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMiddleName() {
        return middleName;
    }

    /**
     * Sets the value of the middleName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMiddleName(String value) {
        this.middleName = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the nickname property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNickname() {
        return nickname;
    }

    /**
     * Sets the value of the nickname property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNickname(String value) {
        this.nickname = value;
    }

    /**
     * Gets the value of the note property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNote() {
        return note;
    }

    /**
     * Sets the value of the note property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNote(String value) {
        this.note = value;
    }

    /**
     * Gets the value of the numberOfChildren property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumberOfChildren() {
        return numberOfChildren;
    }

    /**
     * Sets the value of the numberOfChildren property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumberOfChildren(String value) {
        this.numberOfChildren = value;
    }

    /**
     * Gets the value of the numberOfEmployee property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumberOfEmployee() {
        return numberOfEmployee;
    }

    /**
     * Sets the value of the numberOfEmployee property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumberOfEmployee(String value) {
        this.numberOfEmployee = value;
    }

    /**
     * Gets the value of the password property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassword() {
        return password;
    }

    /**
     * Sets the value of the password property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassword(String value) {
        this.password = value;
    }

    /**
     * Gets the value of the passwordMech property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPasswordMech() {
        return passwordMech;
    }

    /**
     * Sets the value of the passwordMech property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPasswordMech(String value) {
        this.passwordMech = value;
    }

    /**
     * Gets the value of the passwordExpired property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPasswordExpired() {
        return passwordExpired;
    }

    /**
     * Sets the value of the passwordExpired property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPasswordExpired(Boolean value) {
        this.passwordExpired = value;
    }

    /**
     * Gets the value of the position property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPosition() {
        return position;
    }

    /**
     * Sets the value of the position property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPosition(String value) {
        this.position = value;
    }

    /**
     * Gets the value of the postalCodeBusiness property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostalCodeBusiness() {
        return postalCodeBusiness;
    }

    /**
     * Sets the value of the postalCodeBusiness property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostalCodeBusiness(String value) {
        this.postalCodeBusiness = value;
    }

    /**
     * Gets the value of the postalCodeHome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostalCodeHome() {
        return postalCodeHome;
    }

    /**
     * Sets the value of the postalCodeHome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostalCodeHome(String value) {
        this.postalCodeHome = value;
    }

    /**
     * Gets the value of the postalCodeOther property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostalCodeOther() {
        return postalCodeOther;
    }

    /**
     * Sets the value of the postalCodeOther property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostalCodeOther(String value) {
        this.postalCodeOther = value;
    }

    /**
     * Gets the value of the primaryEmail property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrimaryEmail() {
        return primaryEmail;
    }

    /**
     * Sets the value of the primaryEmail property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrimaryEmail(String value) {
        this.primaryEmail = value;
    }

    /**
     * Gets the value of the profession property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfession() {
        return profession;
    }

    /**
     * Sets the value of the profession property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfession(String value) {
        this.profession = value;
    }

    /**
     * Gets the value of the roomNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoomNumber() {
        return roomNumber;
    }

    /**
     * Sets the value of the roomNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoomNumber(String value) {
        this.roomNumber = value;
    }

    /**
     * Gets the value of the salesVolume property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSalesVolume() {
        return salesVolume;
    }

    /**
     * Sets the value of the salesVolume property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSalesVolume(String value) {
        this.salesVolume = value;
    }

    /**
     * Gets the value of the smtpPort property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSmtpPort() {
        return smtpPort;
    }

    /**
     * Sets the value of the smtpPort property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSmtpPort(Integer value) {
        this.smtpPort = value;
    }

    /**
     * Gets the value of the smtpSchema property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSmtpSchema() {
        return smtpSchema;
    }

    /**
     * Sets the value of the smtpSchema property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSmtpSchema(String value) {
        this.smtpSchema = value;
    }

    /**
     * Gets the value of the smtpServer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSmtpServer() {
        return smtpServer;
    }

    /**
     * Sets the value of the smtpServer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSmtpServer(String value) {
        this.smtpServer = value;
    }

    /**
     * Gets the value of the smtpServerString property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSmtpServerString() {
        return smtpServerString;
    }

    /**
     * Sets the value of the smtpServerString property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSmtpServerString(String value) {
        this.smtpServerString = value;
    }

    /**
     * Gets the value of the spouseName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSpouseName() {
        return spouseName;
    }

    /**
     * Sets the value of the spouseName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSpouseName(String value) {
        this.spouseName = value;
    }

    /**
     * Gets the value of the stateBusiness property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStateBusiness() {
        return stateBusiness;
    }

    /**
     * Sets the value of the stateBusiness property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStateBusiness(String value) {
        this.stateBusiness = value;
    }

    /**
     * Gets the value of the stateHome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStateHome() {
        return stateHome;
    }

    /**
     * Sets the value of the stateHome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStateHome(String value) {
        this.stateHome = value;
    }

    /**
     * Gets the value of the stateOther property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStateOther() {
        return stateOther;
    }

    /**
     * Sets the value of the stateOther property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStateOther(String value) {
        this.stateOther = value;
    }

    /**
     * Gets the value of the streetBusiness property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStreetBusiness() {
        return streetBusiness;
    }

    /**
     * Sets the value of the streetBusiness property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStreetBusiness(String value) {
        this.streetBusiness = value;
    }

    /**
     * Gets the value of the streetHome property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStreetHome() {
        return streetHome;
    }

    /**
     * Sets the value of the streetHome property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStreetHome(String value) {
        this.streetHome = value;
    }

    /**
     * Gets the value of the streetOther property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStreetOther() {
        return streetOther;
    }

    /**
     * Sets the value of the streetOther property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStreetOther(String value) {
        this.streetOther = value;
    }

    /**
     * Gets the value of the suffix property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSuffix() {
        return suffix;
    }

    /**
     * Sets the value of the suffix property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSuffix(String value) {
        this.suffix = value;
    }

    /**
     * Gets the value of the surName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSurName() {
        return surName;
    }

    /**
     * Sets the value of the surName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSurName(String value) {
        this.surName = value;
    }

    /**
     * Gets the value of the taxId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTaxId() {
        return taxId;
    }

    /**
     * Sets the value of the taxId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTaxId(String value) {
        this.taxId = value;
    }

    /**
     * Gets the value of the telephoneAssistant property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneAssistant() {
        return telephoneAssistant;
    }

    /**
     * Sets the value of the telephoneAssistant property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneAssistant(String value) {
        this.telephoneAssistant = value;
    }

    /**
     * Gets the value of the telephoneBusiness1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneBusiness1() {
        return telephoneBusiness1;
    }

    /**
     * Sets the value of the telephoneBusiness1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneBusiness1(String value) {
        this.telephoneBusiness1 = value;
    }

    /**
     * Gets the value of the telephoneBusiness2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneBusiness2() {
        return telephoneBusiness2;
    }

    /**
     * Sets the value of the telephoneBusiness2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneBusiness2(String value) {
        this.telephoneBusiness2 = value;
    }

    /**
     * Gets the value of the telephoneCallback property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneCallback() {
        return telephoneCallback;
    }

    /**
     * Sets the value of the telephoneCallback property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneCallback(String value) {
        this.telephoneCallback = value;
    }

    /**
     * Gets the value of the telephoneCar property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneCar() {
        return telephoneCar;
    }

    /**
     * Sets the value of the telephoneCar property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneCar(String value) {
        this.telephoneCar = value;
    }

    /**
     * Gets the value of the telephoneCompany property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneCompany() {
        return telephoneCompany;
    }

    /**
     * Sets the value of the telephoneCompany property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneCompany(String value) {
        this.telephoneCompany = value;
    }

    /**
     * Gets the value of the telephoneHome1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneHome1() {
        return telephoneHome1;
    }

    /**
     * Sets the value of the telephoneHome1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneHome1(String value) {
        this.telephoneHome1 = value;
    }

    /**
     * Gets the value of the telephoneHome2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneHome2() {
        return telephoneHome2;
    }

    /**
     * Sets the value of the telephoneHome2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneHome2(String value) {
        this.telephoneHome2 = value;
    }

    /**
     * Gets the value of the telephoneIp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneIp() {
        return telephoneIp;
    }

    /**
     * Sets the value of the telephoneIp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneIp(String value) {
        this.telephoneIp = value;
    }

    /**
     * Gets the value of the telephoneIsdn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneIsdn() {
        return telephoneIsdn;
    }

    /**
     * Sets the value of the telephoneIsdn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneIsdn(String value) {
        this.telephoneIsdn = value;
    }

    /**
     * Gets the value of the telephoneOther property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneOther() {
        return telephoneOther;
    }

    /**
     * Sets the value of the telephoneOther property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneOther(String value) {
        this.telephoneOther = value;
    }

    /**
     * Gets the value of the telephonePager property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephonePager() {
        return telephonePager;
    }

    /**
     * Sets the value of the telephonePager property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephonePager(String value) {
        this.telephonePager = value;
    }

    /**
     * Gets the value of the telephonePrimary property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephonePrimary() {
        return telephonePrimary;
    }

    /**
     * Sets the value of the telephonePrimary property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephonePrimary(String value) {
        this.telephonePrimary = value;
    }

    /**
     * Gets the value of the telephoneRadio property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneRadio() {
        return telephoneRadio;
    }

    /**
     * Sets the value of the telephoneRadio property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneRadio(String value) {
        this.telephoneRadio = value;
    }

    /**
     * Gets the value of the telephoneTelex property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneTelex() {
        return telephoneTelex;
    }

    /**
     * Sets the value of the telephoneTelex property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneTelex(String value) {
        this.telephoneTelex = value;
    }

    /**
     * Gets the value of the telephoneTtytdd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTelephoneTtytdd() {
        return telephoneTtytdd;
    }

    /**
     * Sets the value of the telephoneTtytdd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTelephoneTtytdd(String value) {
        this.telephoneTtytdd = value;
    }

    /**
     * Gets the value of the timezone property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTimezone() {
        return timezone;
    }

    /**
     * Sets the value of the timezone property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTimezone(String value) {
        this.timezone = value;
    }

    /**
     * Gets the value of the title property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTitle() {
        return title;
    }

    /**
     * Sets the value of the title property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTitle(String value) {
        this.title = value;
    }

    /**
     * Gets the value of the uploadFileSizeLimit property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getUploadFileSizeLimit() {
        return uploadFileSizeLimit;
    }

    /**
     * Sets the value of the uploadFileSizeLimit property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setUploadFileSizeLimit(Integer value) {
        this.uploadFileSizeLimit = value;
    }

    /**
     * Gets the value of the uploadFileSizeLimitPerFile property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getUploadFileSizeLimitPerFile() {
        return uploadFileSizeLimitPerFile;
    }

    /**
     * Sets the value of the uploadFileSizeLimitPerFile property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setUploadFileSizeLimitPerFile(Integer value) {
        this.uploadFileSizeLimitPerFile = value;
    }

    /**
     * Gets the value of the url property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUrl() {
        return url;
    }

    /**
     * Sets the value of the url property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUrl(String value) {
        this.url = value;
    }

    /**
     * Gets the value of the userAttributes property.
     * 
     * @return
     *     possible object is
     *     {@link SOAPStringMapMap }
     *     
     */
    public SOAPStringMapMap getUserAttributes() {
        return userAttributes;
    }

    /**
     * Sets the value of the userAttributes property.
     * 
     * @param value
     *     allowed object is
     *     {@link SOAPStringMapMap }
     *     
     */
    public void setUserAttributes(SOAPStringMapMap value) {
        this.userAttributes = value;
    }

    /**
     * Gets the value of the userfield01 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield01() {
        return userfield01;
    }

    /**
     * Sets the value of the userfield01 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield01(String value) {
        this.userfield01 = value;
    }

    /**
     * Gets the value of the userfield02 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield02() {
        return userfield02;
    }

    /**
     * Sets the value of the userfield02 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield02(String value) {
        this.userfield02 = value;
    }

    /**
     * Gets the value of the userfield03 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield03() {
        return userfield03;
    }

    /**
     * Sets the value of the userfield03 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield03(String value) {
        this.userfield03 = value;
    }

    /**
     * Gets the value of the userfield04 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield04() {
        return userfield04;
    }

    /**
     * Sets the value of the userfield04 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield04(String value) {
        this.userfield04 = value;
    }

    /**
     * Gets the value of the userfield05 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield05() {
        return userfield05;
    }

    /**
     * Sets the value of the userfield05 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield05(String value) {
        this.userfield05 = value;
    }

    /**
     * Gets the value of the userfield06 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield06() {
        return userfield06;
    }

    /**
     * Sets the value of the userfield06 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield06(String value) {
        this.userfield06 = value;
    }

    /**
     * Gets the value of the userfield07 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield07() {
        return userfield07;
    }

    /**
     * Sets the value of the userfield07 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield07(String value) {
        this.userfield07 = value;
    }

    /**
     * Gets the value of the userfield08 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield08() {
        return userfield08;
    }

    /**
     * Sets the value of the userfield08 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield08(String value) {
        this.userfield08 = value;
    }

    /**
     * Gets the value of the userfield09 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield09() {
        return userfield09;
    }

    /**
     * Sets the value of the userfield09 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield09(String value) {
        this.userfield09 = value;
    }

    /**
     * Gets the value of the userfield10 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield10() {
        return userfield10;
    }

    /**
     * Sets the value of the userfield10 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield10(String value) {
        this.userfield10 = value;
    }

    /**
     * Gets the value of the userfield11 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield11() {
        return userfield11;
    }

    /**
     * Sets the value of the userfield11 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield11(String value) {
        this.userfield11 = value;
    }

    /**
     * Gets the value of the userfield12 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield12() {
        return userfield12;
    }

    /**
     * Sets the value of the userfield12 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield12(String value) {
        this.userfield12 = value;
    }

    /**
     * Gets the value of the userfield13 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield13() {
        return userfield13;
    }

    /**
     * Sets the value of the userfield13 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield13(String value) {
        this.userfield13 = value;
    }

    /**
     * Gets the value of the userfield14 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield14() {
        return userfield14;
    }

    /**
     * Sets the value of the userfield14 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield14(String value) {
        this.userfield14 = value;
    }

    /**
     * Gets the value of the userfield15 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield15() {
        return userfield15;
    }

    /**
     * Sets the value of the userfield15 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield15(String value) {
        this.userfield15 = value;
    }

    /**
     * Gets the value of the userfield16 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield16() {
        return userfield16;
    }

    /**
     * Sets the value of the userfield16 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield16(String value) {
        this.userfield16 = value;
    }

    /**
     * Gets the value of the userfield17 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield17() {
        return userfield17;
    }

    /**
     * Sets the value of the userfield17 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield17(String value) {
        this.userfield17 = value;
    }

    /**
     * Gets the value of the userfield18 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield18() {
        return userfield18;
    }

    /**
     * Sets the value of the userfield18 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield18(String value) {
        this.userfield18 = value;
    }

    /**
     * Gets the value of the userfield19 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield19() {
        return userfield19;
    }

    /**
     * Sets the value of the userfield19 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield19(String value) {
        this.userfield19 = value;
    }

    /**
     * Gets the value of the userfield20 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserfield20() {
        return userfield20;
    }

    /**
     * Sets the value of the userfield20 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserfield20(String value) {
        this.userfield20 = value;
    }

}
