
package com.openexchange.wsdl.resource.soap;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import com.openexchange.wsdl.resource.java.io.IOException;
import com.openexchange.wsdl.resource.rmi.exceptions.DatabaseUpdateException;
import com.openexchange.wsdl.resource.rmi.exceptions.InvalidCredentialsException;
import com.openexchange.wsdl.resource.rmi.exceptions.InvalidDataException;
import com.openexchange.wsdl.resource.rmi.exceptions.NoSuchContextException;
import com.openexchange.wsdl.resource.rmi.exceptions.NoSuchResourceException;
import com.openexchange.wsdl.resource.rmi.exceptions.StorageException;


/**
 * <p>Java class for Exception complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Exception"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Exception" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Exception", propOrder = {
    "exception"
})
@XmlSeeAlso({
    DatabaseUpdateException.class,
    InvalidCredentialsException.class,
    InvalidDataException.class,
    NoSuchContextException.class,
    NoSuchResourceException.class,
    StorageException.class,
    IOException.class
})
public class Exception {

    @XmlElement(name = "Exception", nillable = true)
    protected Object exception;

    /**
     * Gets the value of the exception property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getException() {
        return exception;
    }

    /**
     * Sets the value of the exception property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setException(Object value) {
        this.exception = value;
    }

}
