
package com.openexchange.wsdl.user.soap;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import com.openexchange.wsdl.user.rmi.dataobjects.Credentials;
import com.openexchange.wsdl.user.soap.dataobjects.UserModuleAccess;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="filter" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="addAccess" type="{http://dataobjects.soap.admin.openexchange.com/xsd}UserModuleAccess" minOccurs="0"/&gt;
 *         &lt;element name="removeAccess" type="{http://dataobjects.soap.admin.openexchange.com/xsd}UserModuleAccess" minOccurs="0"/&gt;
 *         &lt;element name="auth" type="{http://dataobjects.rmi.admin.openexchange.com/xsd}Credentials" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "filter",
    "addAccess",
    "removeAccess",
    "auth"
})
@XmlRootElement(name = "changeModuleAccessGlobal")
public class ChangeModuleAccessGlobal {

    @XmlElement(nillable = true)
    protected String filter;
    @XmlElement(nillable = true)
    protected UserModuleAccess addAccess;
    @XmlElement(nillable = true)
    protected UserModuleAccess removeAccess;
    @XmlElement(nillable = true)
    protected Credentials auth;

    /**
     * Gets the value of the filter property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFilter() {
        return filter;
    }

    /**
     * Sets the value of the filter property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFilter(String value) {
        this.filter = value;
    }

    /**
     * Gets the value of the addAccess property.
     * 
     * @return
     *     possible object is
     *     {@link UserModuleAccess }
     *     
     */
    public UserModuleAccess getAddAccess() {
        return addAccess;
    }

    /**
     * Sets the value of the addAccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserModuleAccess }
     *     
     */
    public void setAddAccess(UserModuleAccess value) {
        this.addAccess = value;
    }

    /**
     * Gets the value of the removeAccess property.
     * 
     * @return
     *     possible object is
     *     {@link UserModuleAccess }
     *     
     */
    public UserModuleAccess getRemoveAccess() {
        return removeAccess;
    }

    /**
     * Sets the value of the removeAccess property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserModuleAccess }
     *     
     */
    public void setRemoveAccess(UserModuleAccess value) {
        this.removeAccess = value;
    }

    /**
     * Gets the value of the auth property.
     * 
     * @return
     *     possible object is
     *     {@link Credentials }
     *     
     */
    public Credentials getAuth() {
        return auth;
    }

    /**
     * Sets the value of the auth property.
     * 
     * @param value
     *     allowed object is
     *     {@link Credentials }
     *     
     */
    public void setAuth(Credentials value) {
        this.auth = value;
    }

}
