
package com.openexchange.wsdl.user.soap;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import com.openexchange.wsdl.user.rmi.dataobjects.Credentials;
import com.openexchange.wsdl.user.soap.dataobjects.Context;
import com.openexchange.wsdl.user.soap.dataobjects.Filestore;
import com.openexchange.wsdl.user.soap.dataobjects.User;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ctx" type="{http://dataobjects.soap.admin.openexchange.com/xsd}Context" minOccurs="0"/&gt;
 *         &lt;element name="user" type="{http://dataobjects.soap.admin.openexchange.com/xsd}User" minOccurs="0"/&gt;
 *         &lt;element name="masterUser" type="{http://dataobjects.soap.admin.openexchange.com/xsd}User" minOccurs="0"/&gt;
 *         &lt;element name="dst_filestore_id" type="{http://dataobjects.soap.admin.openexchange.com/xsd}Filestore"/&gt;
 *         &lt;element name="max_quota" type="{http://www.w3.org/2001/XMLSchema}long"/&gt;
 *         &lt;element name="auth" type="{http://dataobjects.rmi.admin.openexchange.com/xsd}Credentials" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "ctx",
    "user",
    "masterUser",
    "dstFilestoreId",
    "maxQuota",
    "auth"
})
@XmlRootElement(name = "moveFromMasterToUserFilestore")
public class MoveFromMasterToUserFilestore {

    @XmlElement(nillable = true)
    protected Context ctx;
    @XmlElement(nillable = true)
    protected User user;
    @XmlElement(nillable = true)
    protected User masterUser;
    @XmlElement(name = "dst_filestore_id", required = true, nillable = true)
    protected Filestore dstFilestoreId;
    @XmlElement(name = "max_quota", required = true, type = Long.class, nillable = true)
    protected Long maxQuota;
    @XmlElement(nillable = true)
    protected Credentials auth;

    /**
     * Gets the value of the ctx property.
     * 
     * @return
     *     possible object is
     *     {@link Context }
     *     
     */
    public Context getCtx() {
        return ctx;
    }

    /**
     * Sets the value of the ctx property.
     * 
     * @param value
     *     allowed object is
     *     {@link Context }
     *     
     */
    public void setCtx(Context value) {
        this.ctx = value;
    }

    /**
     * Gets the value of the user property.
     * 
     * @return
     *     possible object is
     *     {@link User }
     *     
     */
    public User getUser() {
        return user;
    }

    /**
     * Sets the value of the user property.
     * 
     * @param value
     *     allowed object is
     *     {@link User }
     *     
     */
    public void setUser(User value) {
        this.user = value;
    }

    /**
     * Gets the value of the masterUser property.
     * 
     * @return
     *     possible object is
     *     {@link User }
     *     
     */
    public User getMasterUser() {
        return masterUser;
    }

    /**
     * Sets the value of the masterUser property.
     * 
     * @param value
     *     allowed object is
     *     {@link User }
     *     
     */
    public void setMasterUser(User value) {
        this.masterUser = value;
    }

    /**
     * Gets the value of the dstFilestoreId property.
     * 
     * @return
     *     possible object is
     *     {@link Filestore }
     *     
     */
    public Filestore getDstFilestoreId() {
        return dstFilestoreId;
    }

    /**
     * Sets the value of the dstFilestoreId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Filestore }
     *     
     */
    public void setDstFilestoreId(Filestore value) {
        this.dstFilestoreId = value;
    }

    /**
     * Gets the value of the maxQuota property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getMaxQuota() {
        return maxQuota;
    }

    /**
     * Sets the value of the maxQuota property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setMaxQuota(Long value) {
        this.maxQuota = value;
    }

    /**
     * Gets the value of the auth property.
     * 
     * @return
     *     possible object is
     *     {@link Credentials }
     *     
     */
    public Credentials getAuth() {
        return auth;
    }

    /**
     * Sets the value of the auth property.
     * 
     * @param value
     *     allowed object is
     *     {@link Credentials }
     *     
     */
    public void setAuth(Credentials value) {
        this.auth = value;
    }

}
