/*
 * Copyright (C) 2016 OX Software GmbH
 *
 * This file is part of uimetrics.
 *
 * uimetrics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * uimetrics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with uimetrics.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.test.performance.uimetrics;

import com.openexchange.test.performance.uimetrics.cli.CLIParser;
import com.openexchange.test.performance.uimetrics.launcher.BrowserLauncher;

import java.io.IOException;

/**
 * {@link Main}
 *
 * @author <a href="mailto:markus.wagner@open-xchange.com">Markus Wagner</a>
 */
public class Main {

    public static void main(String[] args) throws Exception {

        CLIParser cliParser = new CLIParser(args);

        if (cliParser.isInitialized()) {
            BrowserLauncher browserLauncher = new BrowserLauncher();
            browserLauncher.startBrowser();
        }
    }

}
