/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.groupware.mail

/**
 * [[MailAccountData]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class MailAccountData(
    addresses:                 Option[String]  = None,
    archive:                   Option[String]  = None,
    archive_fullname:          Option[String]  = None,
    confirmed_ham:             Option[String]  = None,
    confirmed_ham_fullname:    Option[String]  = None,
    confirmed_spam:            Option[String]  = None,
    confirmed_spam_fullname:   Option[String]  = None,
    drafts:                    Option[String]  = None,
    drafts_fullname:           Option[String]  = None,
    id:                        Option[Int]     = None,
    login:                     Option[String]  = None,
    mail_port:                 Option[Int]     = None,
    mail_protocol:             Option[String]  = None,
    mail_secure:               Option[Boolean] = None,
    mail_server:               Option[String]  = None,
    mail_starttls:             Option[Boolean] = None,
    mail_url:                  Option[String]  = None,
    meta:                      Option[String]  = None,
    name:                      Option[String]  = None,
    password:                  Option[String]  = None,
    personal:                  Option[String]  = None,
    pop3_delete_write_through: Option[Boolean] = None,
    pop3_expunge_on_quit:      Option[Boolean] = None,
    pop3_path:                 Option[String]  = None,
    pop3_refresh_rate:         Option[Int]     = None,
    pop3_storage:              Option[String]  = None,
    primary_address:           Option[String]  = None,
    reply_to:                  Option[String]  = None,
    sent:                      Option[String]  = None,
    sent_fullname:             Option[String]  = None,
    spam:                      Option[String]  = None,
    spam_fullname:             Option[String]  = None,
    spam_handler:              Option[String]  = None,
    transport_auth:            Option[String]  = None,
    transport_login:           Option[String]  = None,
    transport_password:        Option[String]  = None,
    transport_port:            Option[Int]     = None,
    transport_protocol:        Option[String]  = None,
    transport_secure:          Option[Boolean] = None,
    transport_server:          Option[String]  = None,
    transport_starttls:        Option[Boolean] = None,
    transport_url:             Option[String]  = None,
    trash:                     Option[String]  = None,
    trash_fullname:            Option[String]  = None,
    unified_inbox_enabled:     Option[Boolean] = None)
