
package com.openexchange.wsdl.context.soap;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import com.openexchange.wsdl.context.rmi.dataobjects.Credentials;
import com.openexchange.wsdl.context.soap.dataobjects.Context;
import com.openexchange.wsdl.context.soap.dataobjects.Filestore;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ctx" type="{http://dataobjects.soap.admin.openexchange.com/xsd}Context" minOccurs="0"/&gt;
 *         &lt;element name="dst_filestore_id" type="{http://dataobjects.soap.admin.openexchange.com/xsd}Filestore" minOccurs="0"/&gt;
 *         &lt;element name="auth" type="{http://dataobjects.rmi.admin.openexchange.com/xsd}Credentials" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "ctx",
    "dstFilestoreId",
    "auth"
})
@XmlRootElement(name = "moveContextFilestore")
public class MoveContextFilestore {

    @XmlElement(nillable = true)
    protected Context ctx;
    @XmlElement(name = "dst_filestore_id", nillable = true)
    protected Filestore dstFilestoreId;
    @XmlElement(nillable = true)
    protected Credentials auth;

    /**
     * Gets the value of the ctx property.
     * 
     * @return
     *     possible object is
     *     {@link Context }
     *     
     */
    public Context getCtx() {
        return ctx;
    }

    /**
     * Sets the value of the ctx property.
     * 
     * @param value
     *     allowed object is
     *     {@link Context }
     *     
     */
    public void setCtx(Context value) {
        this.ctx = value;
    }

    /**
     * Gets the value of the dstFilestoreId property.
     * 
     * @return
     *     possible object is
     *     {@link Filestore }
     *     
     */
    public Filestore getDstFilestoreId() {
        return dstFilestoreId;
    }

    /**
     * Sets the value of the dstFilestoreId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Filestore }
     *     
     */
    public void setDstFilestoreId(Filestore value) {
        this.dstFilestoreId = value;
    }

    /**
     * Gets the value of the auth property.
     * 
     * @return
     *     possible object is
     *     {@link Credentials }
     *     
     */
    public Credentials getAuth() {
        return auth;
    }

    /**
     * Sets the value of the auth property.
     * 
     * @param value
     *     allowed object is
     *     {@link Credentials }
     *     
     */
    public void setAuth(Credentials value) {
        this.auth = value;
    }

}
