
package com.openexchange.wsdl.user.soap.dataobjects;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Context complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Context"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="average_size" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="filestoreId" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="filestore_name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="loginMappings" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element name="maxQuota" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="readDatabase" type="{http://dataobjects.soap.admin.openexchange.com/xsd}Database" minOccurs="0"/&gt;
 *         &lt;element name="usedQuota" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="userAttributes" type="{http://dataobjects.soap.admin.openexchange.com/xsd}SOAPStringMapMap" minOccurs="0"/&gt;
 *         &lt;element name="writeDatabase" type="{http://dataobjects.soap.admin.openexchange.com/xsd}Database" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Context", propOrder = {
    "averageSize",
    "enabled",
    "filestoreId",
    "filestoreName",
    "id",
    "loginMappings",
    "maxQuota",
    "name",
    "readDatabase",
    "usedQuota",
    "userAttributes",
    "writeDatabase"
})
public class Context {

    @XmlElement(name = "average_size", nillable = true)
    protected Long averageSize;
    @XmlElement(nillable = true)
    protected Boolean enabled;
    @XmlElement(nillable = true)
    protected Integer filestoreId;
    @XmlElement(name = "filestore_name", nillable = true)
    protected String filestoreName;
    @XmlElement(nillable = true)
    protected Integer id;
    @XmlElement(nillable = true)
    protected List<String> loginMappings;
    @XmlElement(nillable = true)
    protected Long maxQuota;
    @XmlElement(nillable = true)
    protected String name;
    @XmlElement(nillable = true)
    protected Database readDatabase;
    @XmlElement(nillable = true)
    protected Long usedQuota;
    @XmlElement(nillable = true)
    protected SOAPStringMapMap userAttributes;
    @XmlElement(nillable = true)
    protected Database writeDatabase;

    /**
     * Gets the value of the averageSize property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getAverageSize() {
        return averageSize;
    }

    /**
     * Sets the value of the averageSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setAverageSize(Long value) {
        this.averageSize = value;
    }

    /**
     * Gets the value of the enabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEnabled() {
        return enabled;
    }

    /**
     * Sets the value of the enabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEnabled(Boolean value) {
        this.enabled = value;
    }

    /**
     * Gets the value of the filestoreId property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFilestoreId() {
        return filestoreId;
    }

    /**
     * Sets the value of the filestoreId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFilestoreId(Integer value) {
        this.filestoreId = value;
    }

    /**
     * Gets the value of the filestoreName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFilestoreName() {
        return filestoreName;
    }

    /**
     * Sets the value of the filestoreName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFilestoreName(String value) {
        this.filestoreName = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setId(Integer value) {
        this.id = value;
    }

    /**
     * Gets the value of the loginMappings property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the loginMappings property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLoginMappings().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getLoginMappings() {
        if (loginMappings == null) {
            loginMappings = new ArrayList<String>();
        }
        return this.loginMappings;
    }

    /**
     * Gets the value of the maxQuota property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getMaxQuota() {
        return maxQuota;
    }

    /**
     * Sets the value of the maxQuota property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setMaxQuota(Long value) {
        this.maxQuota = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the readDatabase property.
     * 
     * @return
     *     possible object is
     *     {@link Database }
     *     
     */
    public Database getReadDatabase() {
        return readDatabase;
    }

    /**
     * Sets the value of the readDatabase property.
     * 
     * @param value
     *     allowed object is
     *     {@link Database }
     *     
     */
    public void setReadDatabase(Database value) {
        this.readDatabase = value;
    }

    /**
     * Gets the value of the usedQuota property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getUsedQuota() {
        return usedQuota;
    }

    /**
     * Sets the value of the usedQuota property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setUsedQuota(Long value) {
        this.usedQuota = value;
    }

    /**
     * Gets the value of the userAttributes property.
     * 
     * @return
     *     possible object is
     *     {@link SOAPStringMapMap }
     *     
     */
    public SOAPStringMapMap getUserAttributes() {
        return userAttributes;
    }

    /**
     * Sets the value of the userAttributes property.
     * 
     * @param value
     *     allowed object is
     *     {@link SOAPStringMapMap }
     *     
     */
    public void setUserAttributes(SOAPStringMapMap value) {
        this.userAttributes = value;
    }

    /**
     * Gets the value of the writeDatabase property.
     * 
     * @return
     *     possible object is
     *     {@link Database }
     *     
     */
    public Database getWriteDatabase() {
        return writeDatabase;
    }

    /**
     * Sets the value of the writeDatabase property.
     * 
     * @param value
     *     allowed object is
     *     {@link Database }
     *     
     */
    public void setWriteDatabase(Database value) {
        this.writeDatabase = value;
    }

}
