
package com.openexchange.wsdl.user.soap.dataobjects;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UserModuleAccess complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UserModuleAccess"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OLOX20" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="USM" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="activeSync" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="calendar" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="collectEmailAddresses" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="contacts" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="delegateTask" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="deniedPortal" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="editGroup" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="editPassword" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="editPublicFolders" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="editResource" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="globalAddressBookDisabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="ical" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="infostore" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="multipleMailAccounts" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="publicFolderEditable" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="publication" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="readCreateSharedFolders" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="subscription" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="syncml" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="tasks" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="vcard" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="webdav" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="webdavXml" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="webmail" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UserModuleAccess", propOrder = {
    "olox20",
    "usm",
    "activeSync",
    "calendar",
    "collectEmailAddresses",
    "contacts",
    "delegateTask",
    "deniedPortal",
    "editGroup",
    "editPassword",
    "editPublicFolders",
    "editResource",
    "globalAddressBookDisabled",
    "ical",
    "infostore",
    "multipleMailAccounts",
    "publicFolderEditable",
    "publication",
    "readCreateSharedFolders",
    "subscription",
    "syncml",
    "tasks",
    "vcard",
    "webdav",
    "webdavXml",
    "webmail"
})
public class UserModuleAccess {

    @XmlElement(name = "OLOX20", nillable = true)
    protected Boolean olox20;
    @XmlElement(name = "USM", nillable = true)
    protected Boolean usm;
    @XmlElement(nillable = true)
    protected Boolean activeSync;
    @XmlElement(nillable = true)
    protected Boolean calendar;
    @XmlElement(nillable = true)
    protected Boolean collectEmailAddresses;
    @XmlElement(nillable = true)
    protected Boolean contacts;
    @XmlElement(nillable = true)
    protected Boolean delegateTask;
    @XmlElement(nillable = true)
    protected Boolean deniedPortal;
    @XmlElement(nillable = true)
    protected Boolean editGroup;
    @XmlElement(nillable = true)
    protected Boolean editPassword;
    @XmlElement(nillable = true)
    protected Boolean editPublicFolders;
    @XmlElement(nillable = true)
    protected Boolean editResource;
    @XmlElement(nillable = true)
    protected Boolean globalAddressBookDisabled;
    @XmlElement(nillable = true)
    protected Boolean ical;
    @XmlElement(nillable = true)
    protected Boolean infostore;
    @XmlElement(nillable = true)
    protected Boolean multipleMailAccounts;
    @XmlElement(nillable = true)
    protected Boolean publicFolderEditable;
    @XmlElement(nillable = true)
    protected Boolean publication;
    @XmlElement(nillable = true)
    protected Boolean readCreateSharedFolders;
    @XmlElement(nillable = true)
    protected Boolean subscription;
    @XmlElement(nillable = true)
    protected Boolean syncml;
    @XmlElement(nillable = true)
    protected Boolean tasks;
    @XmlElement(nillable = true)
    protected Boolean vcard;
    @XmlElement(nillable = true)
    protected Boolean webdav;
    @XmlElement(nillable = true)
    protected Boolean webdavXml;
    @XmlElement(nillable = true)
    protected Boolean webmail;

    /**
     * Gets the value of the olox20 property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isOLOX20() {
        return olox20;
    }

    /**
     * Sets the value of the olox20 property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setOLOX20(Boolean value) {
        this.olox20 = value;
    }

    /**
     * Gets the value of the usm property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isUSM() {
        return usm;
    }

    /**
     * Sets the value of the usm property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setUSM(Boolean value) {
        this.usm = value;
    }

    /**
     * Gets the value of the activeSync property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isActiveSync() {
        return activeSync;
    }

    /**
     * Sets the value of the activeSync property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setActiveSync(Boolean value) {
        this.activeSync = value;
    }

    /**
     * Gets the value of the calendar property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCalendar() {
        return calendar;
    }

    /**
     * Sets the value of the calendar property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCalendar(Boolean value) {
        this.calendar = value;
    }

    /**
     * Gets the value of the collectEmailAddresses property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCollectEmailAddresses() {
        return collectEmailAddresses;
    }

    /**
     * Sets the value of the collectEmailAddresses property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCollectEmailAddresses(Boolean value) {
        this.collectEmailAddresses = value;
    }

    /**
     * Gets the value of the contacts property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isContacts() {
        return contacts;
    }

    /**
     * Sets the value of the contacts property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setContacts(Boolean value) {
        this.contacts = value;
    }

    /**
     * Gets the value of the delegateTask property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isDelegateTask() {
        return delegateTask;
    }

    /**
     * Sets the value of the delegateTask property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDelegateTask(Boolean value) {
        this.delegateTask = value;
    }

    /**
     * Gets the value of the deniedPortal property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isDeniedPortal() {
        return deniedPortal;
    }

    /**
     * Sets the value of the deniedPortal property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDeniedPortal(Boolean value) {
        this.deniedPortal = value;
    }

    /**
     * Gets the value of the editGroup property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEditGroup() {
        return editGroup;
    }

    /**
     * Sets the value of the editGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEditGroup(Boolean value) {
        this.editGroup = value;
    }

    /**
     * Gets the value of the editPassword property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEditPassword() {
        return editPassword;
    }

    /**
     * Sets the value of the editPassword property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEditPassword(Boolean value) {
        this.editPassword = value;
    }

    /**
     * Gets the value of the editPublicFolders property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEditPublicFolders() {
        return editPublicFolders;
    }

    /**
     * Sets the value of the editPublicFolders property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEditPublicFolders(Boolean value) {
        this.editPublicFolders = value;
    }

    /**
     * Gets the value of the editResource property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isEditResource() {
        return editResource;
    }

    /**
     * Sets the value of the editResource property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setEditResource(Boolean value) {
        this.editResource = value;
    }

    /**
     * Gets the value of the globalAddressBookDisabled property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isGlobalAddressBookDisabled() {
        return globalAddressBookDisabled;
    }

    /**
     * Sets the value of the globalAddressBookDisabled property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setGlobalAddressBookDisabled(Boolean value) {
        this.globalAddressBookDisabled = value;
    }

    /**
     * Gets the value of the ical property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isIcal() {
        return ical;
    }

    /**
     * Sets the value of the ical property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIcal(Boolean value) {
        this.ical = value;
    }

    /**
     * Gets the value of the infostore property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isInfostore() {
        return infostore;
    }

    /**
     * Sets the value of the infostore property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setInfostore(Boolean value) {
        this.infostore = value;
    }

    /**
     * Gets the value of the multipleMailAccounts property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isMultipleMailAccounts() {
        return multipleMailAccounts;
    }

    /**
     * Sets the value of the multipleMailAccounts property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setMultipleMailAccounts(Boolean value) {
        this.multipleMailAccounts = value;
    }

    /**
     * Gets the value of the publicFolderEditable property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPublicFolderEditable() {
        return publicFolderEditable;
    }

    /**
     * Sets the value of the publicFolderEditable property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPublicFolderEditable(Boolean value) {
        this.publicFolderEditable = value;
    }

    /**
     * Gets the value of the publication property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPublication() {
        return publication;
    }

    /**
     * Sets the value of the publication property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPublication(Boolean value) {
        this.publication = value;
    }

    /**
     * Gets the value of the readCreateSharedFolders property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isReadCreateSharedFolders() {
        return readCreateSharedFolders;
    }

    /**
     * Sets the value of the readCreateSharedFolders property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setReadCreateSharedFolders(Boolean value) {
        this.readCreateSharedFolders = value;
    }

    /**
     * Gets the value of the subscription property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSubscription() {
        return subscription;
    }

    /**
     * Sets the value of the subscription property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSubscription(Boolean value) {
        this.subscription = value;
    }

    /**
     * Gets the value of the syncml property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSyncml() {
        return syncml;
    }

    /**
     * Sets the value of the syncml property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSyncml(Boolean value) {
        this.syncml = value;
    }

    /**
     * Gets the value of the tasks property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isTasks() {
        return tasks;
    }

    /**
     * Sets the value of the tasks property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setTasks(Boolean value) {
        this.tasks = value;
    }

    /**
     * Gets the value of the vcard property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isVcard() {
        return vcard;
    }

    /**
     * Sets the value of the vcard property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setVcard(Boolean value) {
        this.vcard = value;
    }

    /**
     * Gets the value of the webdav property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isWebdav() {
        return webdav;
    }

    /**
     * Sets the value of the webdav property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setWebdav(Boolean value) {
        this.webdav = value;
    }

    /**
     * Gets the value of the webdavXml property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isWebdavXml() {
        return webdavXml;
    }

    /**
     * Sets the value of the webdavXml property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setWebdavXml(Boolean value) {
        this.webdavXml = value;
    }

    /**
     * Gets the value of the webmail property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isWebmail() {
        return webmail;
    }

    /**
     * Sets the value of the webmail property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setWebmail(Boolean value) {
        this.webmail = value;
    }

}
