/*
 * Copyright (C) 2017 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.soap

/**
 * [[WSDLServiceName]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object WSDLServiceName {

  val OX_OAUTH_CLIENT_SERVICE = "OAuthClientService"

  val OX_CONTEXT_SERVICE = "OXContextService"

  val OX_GROUP_SERVICE = "OXGroupService"

  val OX_PUBLICATION_SERVICE = "OXPublicationService"

  val OX_RESELLER_CONTEXT_SERVICE = "OXResellerContextService"

  val OX_RESELLER_GROUP_SERVICE = "OXResellerGroupService"

  val OX_RESELLER_RESOURCE_SERVICE = "OXResellerResourceService"

  val OX_RESELLER_SERVICE = "OXResellerService"

  val OX_RESELLER_USER_SERVICE = "OXResellerUserService"

  val OX_RESOURCE_SERVICE = "OXResourceService"

  val OX_TASK_MGMT_SERVICE = "OXTaskMgmtService"

  val OX_USER_SERVICE = "OXUserService"

  val OX_UTIL_SERVICE = "OXUtilService"

  val PUSH_SOAP_INTERFACE = "PushSoapInterface"

}