# Mail system setup

See setup.sh for copy-paste installation commands. A short description of the setup follows below.

On "one-in-all" installations this can go to localhost. On more reasonable setups this will go to your dedicated mail node. On even more reasonable setups (multi-node mail cluster) you need something else -- this is out of scope of this document.

TODO: object store based setup (e.g. against a local ceph/radosgw -- input welcome)

TODO: multi-node setup (proxy, director, backend nodes -- input welcome)

## Dovecot

Kind of performance optimized standard sdbox based setup with some additional features (namespaces, acl, quota, sieve).

Auth / userdb goes against passwd files in /etc/dovecot. See supplied passwd and masters file. We refrained to do any fancy "auth against OX DB" things for performance reasons.

Warning: this configures default accounts with "secret" passwords; change for anything else than internal performance testing use!

Dovecot offers listeners for lmtp and auth for postfix, so postfix can be configured with as few information on its own as possible.

## Postfix

Configured to use dovecot listeners for auth and lmtp to dovecot.

Postfix needs to be told which domains are considered internal delivery in relay_domains. In the transport file we configure that external mails are dropped -- this way the performance test scripts can invite fake google, microsoft, whatever users to invite appointments without spamming the respective services. If that is not desired, empty that file.

Dont forget to run postmap on these files after changes.
